Icons are changed
[gnuplot] / lisp / Makefile.in
1 # Makefile.in generated by automake 1.8.5 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 srcdir = @srcdir@
17 top_srcdir = @top_srcdir@
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 top_builddir = .
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 INSTALL = @INSTALL@
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 subdir = .
37 DIST_COMMON = README $(am__configure_deps) $(srcdir)/../install-sh \
38         $(srcdir)/../missing $(srcdir)/../mkinstalldirs \
39         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
40         $(top_srcdir)/configure COPYING ChangeLog INSTALL
41 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42 am__aclocal_m4_deps = $(top_srcdir)/configure.in
43 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44         $(ACLOCAL_M4)
45 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
46  configure.lineno configure.status.lineno
47 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
48 CONFIG_CLEAN_FILES =
49 SOURCES =
50 DIST_SOURCES =
51 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
52 distdir = $(PACKAGE)-$(VERSION)
53 top_distdir = $(distdir)
54 am__remove_distdir = \
55   { test ! -d $(distdir) \
56     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
57          && rm -fr $(distdir); }; }
58 DIST_ARCHIVES = $(distdir).tar.gz
59 GZIP_ENV = --best
60 distuninstallcheck_listfiles = find . -type f -print
61 distcleancheck_listfiles = find . -type f -print
62 ACLOCAL = @ACLOCAL@
63 AMTAR = @AMTAR@
64 AUTOCONF = @AUTOCONF@
65 AUTOHEADER = @AUTOHEADER@
66 AUTOMAKE = @AUTOMAKE@
67 AWK = @AWK@
68 CYGPATH_W = @CYGPATH_W@
69 DEFS = @DEFS@
70 DVIPS = @DVIPS@
71 ECHO_C = @ECHO_C@
72 ECHO_N = @ECHO_N@
73 ECHO_T = @ECHO_T@
74 EMACS = @EMACS@
75 EMACSLOADPATH = @EMACSLOADPATH@
76 INFO_LOOK_ELC = @INFO_LOOK_ELC@
77 INSTALL_DATA = @INSTALL_DATA@
78 INSTALL_LISP = @INSTALL_LISP@
79 INSTALL_PROGRAM = @INSTALL_PROGRAM@
80 INSTALL_SCRIPT = @INSTALL_SCRIPT@
81 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
82 LATEX = @LATEX@
83 LIBOBJS = @LIBOBJS@
84 LIBS = @LIBS@
85 LISPFILES = @LISPFILES@
86 LTLIBOBJS = @LTLIBOBJS@
87 MAKEINFO = @MAKEINFO@
88 PACKAGE = @PACKAGE@
89 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
90 PACKAGE_NAME = @PACKAGE_NAME@
91 PACKAGE_STRING = @PACKAGE_STRING@
92 PACKAGE_TARNAME = @PACKAGE_TARNAME@
93 PACKAGE_VERSION = @PACKAGE_VERSION@
94 PATH_SEPARATOR = @PATH_SEPARATOR@
95 PDFLATEX = @PDFLATEX@
96 SET_MAKE = @SET_MAKE@
97 SHELL = @SHELL@
98 STRIP = @STRIP@
99 VERSION = @VERSION@
100 am__leading_dot = @am__leading_dot@
101 bindir = @bindir@
102 build_alias = @build_alias@
103 datadir = @datadir@
104 datarootdir = @datarootdir@
105 docdir = @docdir@
106 dvidir = @dvidir@
107 exec_prefix = @exec_prefix@
108 host_alias = @host_alias@
109 htmldir = @htmldir@
110 includedir = @includedir@
111 infodir = @infodir@
112 install_sh = @install_sh@
113 libdir = @libdir@
114 libexecdir = @libexecdir@
115 lispdir = @lispdir@
116 localedir = @localedir@
117 localstatedir = @localstatedir@
118 mandir = @mandir@
119 mkdir_p = @mkdir_p@
120 oldincludedir = @oldincludedir@
121 pdfdir = @pdfdir@
122 prefix = @prefix@
123 program_transform_name = @program_transform_name@
124 psdir = @psdir@
125 sbindir = @sbindir@
126 sharedstatedir = @sharedstatedir@
127 sysconfdir = @sysconfdir@
128 target_alias = @target_alias@
129 AUTOMAKE_OPTIONS = foreign 1.2h
130 ELS = gnuplot-gui.el gnuplot.el info-look.20.2.el info-look.20.3.el
131 ELCS = gnuplot.elc gnuplot-gui.elc @INFO_LOOK_ELC@
132 EXTRA_DIST = README.1st dot.el dotemacs gnuplot.el.old gpelcard.dvi gpelcard.pdf gpelcard.ps gpelcard.tex $(ELS)
133 CLEANFILES = $(ELCS) gpelcard.pdf gpelcard.ps gpelcard.dvi gpelcard.log gpelcard.aux
134 DISTCLEANFILES = info-look.el
135 BYTEC = $(EMACS) -batch -q -no-site-file -l $(srcdir)/dot.el -f batch-byte-compile
136 SUFFIXES = .el .elc .pdf .ps .tex
137 all: all-am
138
139 .SUFFIXES:
140 .SUFFIXES: .el .elc .pdf .ps .tex .dvi
141 am--refresh:
142         @:
143 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
144         @for dep in $?; do \
145           case '$(am__configure_deps)' in \
146             *$$dep*) \
147               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
148               cd $(srcdir) && $(AUTOMAKE) --foreign  \
149                 && exit 0; \
150               exit 1;; \
151           esac; \
152         done; \
153         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
154         cd $(top_srcdir) && \
155           $(AUTOMAKE) --foreign  Makefile
156 .PRECIOUS: Makefile
157 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
158         @case '$?' in \
159           *config.status*) \
160             echo ' $(SHELL) ./config.status'; \
161             $(SHELL) ./config.status;; \
162           *) \
163             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
164             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
165         esac;
166
167 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
168         $(SHELL) ./config.status --recheck
169
170 $(top_srcdir)/configure:  $(am__configure_deps)
171         cd $(srcdir) && $(AUTOCONF)
172 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
173         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
174 uninstall-info-am:
175 tags: TAGS
176 TAGS:
177
178 ctags: CTAGS
179 CTAGS:
180
181
182 distdir: $(DISTFILES)
183         $(am__remove_distdir)
184         mkdir $(distdir)
185         $(mkdir_p) $(distdir)/..
186         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
187         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
188         list='$(DISTFILES)'; for file in $$list; do \
189           case $$file in \
190             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
191             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
192           esac; \
193           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
194           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
195           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
196             dir="/$$dir"; \
197             $(mkdir_p) "$(distdir)$$dir"; \
198           else \
199             dir=''; \
200           fi; \
201           if test -d $$d/$$file; then \
202             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
203               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
204             fi; \
205             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
206           else \
207             test -f $(distdir)/$$file \
208             || cp -p $$d/$$file $(distdir)/$$file \
209             || exit 1; \
210           fi; \
211         done
212         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
213           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
214           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
215           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
216         || chmod -R a+r $(distdir)
217 dist-gzip: distdir
218         $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
219         $(am__remove_distdir)
220
221 dist-bzip2: distdir
222         $(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
223         $(am__remove_distdir)
224
225 dist-tarZ: distdir
226         $(AMTAR) chof - $(distdir) | compress -c >$(distdir).tar.Z
227         $(am__remove_distdir)
228
229 dist-shar: distdir
230         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
231         $(am__remove_distdir)
232
233 dist-zip: distdir
234         -rm -f $(distdir).zip
235         zip -rq $(distdir).zip $(distdir)
236         $(am__remove_distdir)
237
238 dist dist-all: distdir
239         $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
240         $(am__remove_distdir)
241
242 # This target untars the dist file and tries a VPATH configuration.  Then
243 # it guarantees that the distribution is self-contained by making another
244 # tarfile.
245 distcheck: dist
246         case '$(DIST_ARCHIVES)' in \
247         *.tar.gz*) \
248           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf - ;;\
249         *.tar.bz2*) \
250           bunzip2 -c $(distdir).tar.bz2 | $(AMTAR) xf - ;;\
251         *.tar.Z*) \
252           uncompress -c $(distdir).tar.Z | $(AMTAR) xf - ;;\
253         *.shar.gz*) \
254           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
255         *.zip*) \
256           unzip $(distdir).zip ;;\
257         esac
258         chmod -R a-w $(distdir); chmod a+w $(distdir)
259         mkdir $(distdir)/_build
260         mkdir $(distdir)/_inst
261         chmod a-w $(distdir)
262         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
263           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
264           && cd $(distdir)/_build \
265           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
266             $(DISTCHECK_CONFIGURE_FLAGS) \
267           && $(MAKE) $(AM_MAKEFLAGS) \
268           && $(MAKE) $(AM_MAKEFLAGS) dvi \
269           && $(MAKE) $(AM_MAKEFLAGS) check \
270           && $(MAKE) $(AM_MAKEFLAGS) install \
271           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
272           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
273           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
274                 distuninstallcheck \
275           && chmod -R a-w "$$dc_install_base" \
276           && ({ \
277                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
278                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
279                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
280                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
281                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
282               } || { rm -rf "$$dc_destdir"; exit 1; }) \
283           && rm -rf "$$dc_destdir" \
284           && $(MAKE) $(AM_MAKEFLAGS) dist \
285           && rm -rf $(DIST_ARCHIVES) \
286           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
287         $(am__remove_distdir)
288         @(echo "$(distdir) archives ready for distribution: "; \
289           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
290           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
291 distuninstallcheck:
292         @cd $(distuninstallcheck_dir) \
293         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
294            || { echo "ERROR: files left after uninstall:" ; \
295                 if test -n "$(DESTDIR)"; then \
296                   echo "  (check DESTDIR support)"; \
297                 fi ; \
298                 $(distuninstallcheck_listfiles) ; \
299                 exit 1; } >&2
300 distcleancheck: distclean
301         @if test '$(srcdir)' = . ; then \
302           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
303           exit 1 ; \
304         fi
305         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
306           || { echo "ERROR: files left in build directory after distclean:" ; \
307                $(distcleancheck_listfiles) ; \
308                exit 1; } >&2
309 check-am: all-am
310 check: check-am
311 all-am: Makefile
312 installdirs:
313 install: install-am
314 install-exec: install-exec-am
315 install-data: install-data-am
316 uninstall: uninstall-am
317
318 install-am: all-am
319         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
320
321 installcheck: installcheck-am
322 install-strip:
323         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
324           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
325           `test -z '$(STRIP)' || \
326             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
327 mostlyclean-generic:
328
329 clean-generic:
330         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
331
332 distclean-generic:
333         -rm -f $(CONFIG_CLEAN_FILES)
334         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
335
336 maintainer-clean-generic:
337         @echo "This command is intended for maintainers to use"
338         @echo "it deletes files that may require special tools to rebuild."
339 clean: clean-am
340
341 clean-am: clean-generic mostlyclean-am
342
343 distclean: distclean-am
344         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
345         -rm -f Makefile
346 distclean-am: clean-am distclean-generic distclean-local
347
348 dvi: dvi-am
349
350 dvi-am:
351
352 html: html-am
353
354 info: info-am
355
356 info-am:
357
358 install-data-am:
359         @$(NORMAL_INSTALL)
360         $(MAKE) $(AM_MAKEFLAGS) install-data-hook
361
362 install-exec-am:
363
364 install-info: install-info-am
365
366 install-man:
367
368 installcheck-am:
369
370 maintainer-clean: maintainer-clean-am
371         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
372         -rm -rf $(top_srcdir)/autom4te.cache
373         -rm -f Makefile
374 maintainer-clean-am: distclean-am maintainer-clean-generic
375
376 mostlyclean: mostlyclean-am
377
378 mostlyclean-am: mostlyclean-generic
379
380 pdf-am:
381
382 ps-am:
383
384 uninstall-am: uninstall-info-am uninstall-local
385
386 .PHONY: all all-am am--refresh check check-am clean clean-generic dist \
387         dist-all dist-bzip2 dist-gzip dist-shar dist-tarZ dist-zip \
388         distcheck distclean distclean-generic distclean-local \
389         distcleancheck distdir distuninstallcheck dvi dvi-am html \
390         html-am info info-am install install-am install-data \
391         install-data-am install-exec install-exec-am install-info \
392         install-info-am install-man install-strip installcheck \
393         installcheck-am installdirs maintainer-clean \
394         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
395         pdf-am ps ps-am uninstall uninstall-am uninstall-info-am \
396         uninstall-local
397
398
399 .el.elc:
400         $(BYTEC) $<
401
402 .dvi.ps:
403         $(DVIPS) -o $@ $<
404
405 .tex.dvi:
406         $(LATEX) $<
407
408 .tex.pdf:
409         $(PDFLATEX) $<
410
411 all: @LISPFILES@
412
413 elcs: $(ELCS)
414
415 noelcs:
416
417 pdf: gpelcard.pdf
418 ps: gpelcard.ps
419
420 install-data-hook: @INSTALL_LISP@
421
422 install-lisp: install-els install-elcs
423 install-nolisp:
424
425 install-els: $(ELS)
426         $(mkinstalldirs) $(DESTDIR)$(lispdir)
427         @for p in $(ELS) ; do \
428           echo " $(INSTALL_DATA) $$p $(DESTDIR)$(lispdir)/$$p"; \
429           $(INSTALL_DATA) $$p $(DESTDIR)$(lispdir)/$$p; \
430         done
431
432 install-elcs: $(ELCS)
433         $(mkinstalldirs) $(DESTDIR)$(lispdir)
434         @for p in $(ELCS) ; do \
435           echo " $(INSTALL_DATA) $$p $(DESTDIR)$(lispdir)/$$p"; \
436           $(INSTALL_DATA) $$p $(DESTDIR)$(lispdir)/$$p; \
437         done
438
439 uninstall-local:
440         @$(NORMAL_UNINSTALL)
441         @for p in $(ELCS) $(ELS) ; do \
442           rm -f $(DESTDIR)$(lispdir)/$$p; \
443         done
444
445 distclean-local:
446         @if test "$(top_srcdir)" != "$(top_builddir)" ; then \
447           for p in $(ELS) gpelcard.tex ; do \
448             rm -f $$p ; \
449           done ; \
450         fi
451 # Tell versions [3.59,3.63) of GNU make to not export all variables.
452 # Otherwise a system limit (for SysV at least) may be exceeded.
453 .NOEXPORT: